Subject: Re: [TEST] Flake report

From: Jakub Kicinski <[email-masked]>
Date: Fri, 10 May 2024 07:47:16 -0700

On Fri, 10 May 2024 10:35:51 +0200 Florian Westphal wrote:
> Jakub Kicinski <[email-masked]> wrote:
> > To: Florian Westphal <[email-masked]>
> > 
> > These are skipped because of some compatibility issues:
> > 
> >  nft-flowtable-sh, bridge-brouter-sh, nft-audit-sh
> > 
> > Please LMK if I need to update the CLI tooling. 
> > Or is this missing kernel config?  
> 
> No, its related to the userspace tooling.
> This should start to work once amazon linux updates nftables.
> 
> bridge-brouter-sh would work with the old ebtables-legacy instead
> of ebtables-nft, or a more recent version of ebtables-nft.
> 
> ATM it uses a version of ebtables-nft that lacks "broute" table emulation.

Amazon Linux is more of a base OS for loading containers it seems.
I build pretty much all the tools from source.

So I just built nft too.. Whether it will actually work we'll find
out in about 15 min :)